Bug 129462 - Need jsp tag to create inner headers
Summary: Need jsp tag to create inner headers
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D   
(Show other bugs)
Version: RHN Devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2004-08-09 14:53 UTC by Jesus M. Rodriguez
Modified: 2007-04-18 17:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 17:48:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
HTML with sample tag output. (945 bytes, text/html)
2004-08-09 14:58 UTC, Jesus M. Rodriguez
no flags Details

Description Jesus M. Rodriguez 2004-08-09 14:53:31 UTC
We need a jsp tag that can be used to specify the inner header of the
user creation (and other) pages.  This inner header will sit below the
nav menu bar and to the right of the left nav (if shown).   The inner
header will contain an optional icon, required text (usually the
title), and optional help icon link.  Also, there will be optional
icon and link text justified to the right.

Comment 1 Jesus M. Rodriguez 2004-08-09 14:58:16 UTC
Created attachment 102516 [details]
HTML with sample tag output.

The attachment contains two snippets of code to show what the jsp tag should
output.  It shows some different views of the header.  The icons around
Preferences are optional.

Comment 2 Jesus M. Rodriguez 2004-08-09 16:39:35 UTC
Porting Sniglits::HTML.pm rhn-toolbar tag.
Proposed tag usage:

group: rhn
name: toolbar
parameters:
  required
    base
  optional
    img
    help-url
    acl-mixins
    misc-img
    misc-acl
    misc-url
    creation-url
    creation-acl
    creation-type
    deletion-url
    deletion-acl
    deletion-type

<rhn:toolbar creation-url="foo.jsp" creation-type="user">
Text Of Toolbar
</rhn:toolbar>


Comment 3 Jesus M. Rodriguez 2004-08-11 18:59:26 UTC
Made this bug block milestone bug.


Note You need to log in before you can comment on or make changes to this bug.